using System.Collections.Generic;

namespace InABox.Integration.Awg
{
    public interface IAwgBOM<TFinish,TProfile,TGasket,TComponent,TGlass,TLabour> : IIntegrationBOM
        where TFinish : IAwgFinish
        where TProfile : IAwgProfile
        where TGasket : IAwgGasket
        where TComponent : IAwgComponent
        where TGlass : IAwgGlass
        where TLabour : IAwgLabour
    {
        IEnumerable<TFinish> Finishes { get; set; }
        IEnumerable<TProfile> Profiles { get; set; }
        IEnumerable<TGasket> Gaskets { get; set; }
        IEnumerable<TComponent> Components { get; set; }
        IEnumerable<TGlass> Glass { get; set; }
        IEnumerable<TLabour> Labour { get; set; }
    }
    
    
    
}